﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ornek1
{
    public partial class Form1 : Form
    {
        int[] sinirdeger = { 90, 80, 70, 65, 60, 50, 45, 40 };

        public Form1()
        {
            InitializeComponent();
            cogr.Text = "Seçiniz";
        }

        ListBox lb_ogrno, lb_adsoyad;

        private void bogrenciler_Click(object sender, EventArgs e)
        {
            fogrenciler frm = new fogrenciler();
            frm.bilgileridoldur(lb_ogrno, lb_adsoyad); // ogrenci bilgileri sisteme yeniden yuklenecek
            frm.ShowDialog();

             lb_ogrno = frm.ogrnogetir();
             lb_adsoyad = frm.adsoyadgetir();

            // combo doldur

             cogr.Items.Clear();
             for (int i = 0; i < lb_adsoyad.Items.Count; i++)
             {
                 cogr.Items.Add(lb_adsoyad.Items[i]);
             }
             cogr.Text = "Seçiniz";
        }

        private void harfguncelle()
        {
            string[] harfler = { "AA", "BA", "BB", "CB", "CC", "DC", "DD", "FD" };
            
            // lharf in tamami guncellenecek o yuzden temizledik
            lharf.Items.Clear();

            for (int i = 0; i < lortalama.Items.Count; i++)
            {
                int ort = (int)lortalama.Items[i];
                string harf="FF";
                for(int h=0;h<harfler.Length;h++)
                    if (ort >= sinirdeger[h])
                    {
                        harf = harfler[h];
                        break;
                    }

                lharf.Items.Add(harf);
            
            }



            


        
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int vize, final;

            bool kvize = Int32.TryParse(tvize.Text, out vize);
            bool kfinal = Int32.TryParse(tfinal.Text, out final);

            int secilen = cogr.SelectedIndex;

            if (kvize && kfinal && secilen > -1 &&
                vize>=0 && vize<=100 &&
                final>=0 && final<=100)
            {
                logrno.Items.Add(lb_ogrno.Items[secilen]);
                ladsoyad.Items.Add(lb_adsoyad.Items[secilen]);
                lvize.Items.Add(vize);
                lfinal.Items.Add(final);
                int ort = (int)Math.Round(vize * 0.4 + final * 0.6);
                lortalama.Items.Add(ort);
             
                // harf bilgisi guncellenecek!
                harfguncelle();


                cogr.Text = "Seçiniz";
                tvize.Clear();
                tfinal.Clear();
            }
        }

        private void bsinirlar_Click(object sender, EventArgs e)
        {
            fsinirlar frm = new fsinirlar(sinirdeger);
            frm.ShowDialog();
            sinirdeger = frm.sinirdegerdondur();
            harfguncelle();
            // harfler guncellenecek!
        }
    }
}
